SELECT se.nome as empresa, cmt.id_tanque, le.denominacao, cmt.tipo_medicao, 
(
	CASE WHEN (cmt.tipo_medicao = 1) THEN ('Diaria Termo Compensada') ELSE
	(
		CASE WHEN (cmt.tipo_medicao = 11) THEN ('Diaria Bruta / Volume Bruto') ELSE 
		(
			CASE WHEN (cmt.tipo_medicao = 12) THEN ('Monitoramento Bruto') ELSE 
			(
				CASE WHEN (cmt.tipo_medicao = 2) THEN ('Monitoramento Termocompensada') ELSE 
				('OUTRO TIPO'
				)
				END
			)
			END
		) 
		END
	)
	END
) as descricao_tipo_medicao,

cmt.data_medicao, cmt.hora_medicao_1, 
cmt.volume_medicao_1, cmt.altura, cmt.temperatura, cmt.data_lancamento

FROM captura_medicao_tanque cmt 
INNER JOIN local_estoque le ON le.id_local_estoque = cmt.id_tanque 
INNER JOIN sis_empresa se ON se.id_empresa = le.id_empresa 

WHERE   le.id_empresa IN (:IdEmpresaMultSlc)
AND	cmt.data_medicao BETWEEN :DataInicial AND :DataFinal

AND cmt.volume_medicao_1 != 0 
AND cmt.tipo_medicao = f_obtem_parametro_inteiro('automacao.tipo_medicao_lmc_automatico', le.id_empresa, 0, 'N')

ORDER BY 1,3,6,7
